Status: Resolved Priority: Should have
Author: Alexander Berl Category: ViewHelpers
Created: 2013-04-28 Assigned To: Alexander Berl
Updated: 2014-08-26 Due date:
Has patch: No
Affected Flow version: Git master
Subject: HtmlentitiesViewHelper is scope singleton
Description

The HtmlentitiesViewHelper currently is scoped singleton, why all other format ViewHelpers are of scope prototype. This leads to
weird behaviour when using the ViewHelper multiple times within one template and a partial. See the related bug for more
information.

Related issues:
related to TYPO3.Fluid - Bug # 33551: View helper values break out of a parti... New 2012-01-31

Associated revisions
Revision 2b184e1a - 2014-08-25 16:18 - Alexander Berl

[TASK] Bring format viewhelpers in line with each other

This change makes HtmlentitiesViewHelper scope prototype and
makes most format ViewHelpers compilable by implementing
renderStatic().

This has a positive impact on memory consumption (and possibly
performance) because Fluid won't have to instanciate a view helper
for each usage.

Change-Id: I96117c3ec68364346381c6119a9fb29d9fad7f44
Releases: master
Resolves: #47674

History
#1 - 2013-04-28 21:34 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20273

#2 - 2013-06-21 19:14 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20273

#3 - 2013-08-14 15:35 - Karsten Dambekalns
- Target version changed from 2.0 to 2.0.1

#4 - 2014-08-25 16:18 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at http://review.typo3.org/20273

#5 - 2014-08-26 17:03 - Alexander Berl
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2b184e1a5045c0b5066c0fa98b5dc4e58f5ef983.
